<div class="container-fluid">
    <nav class="navbar navbar-light bg-primary">
        <div class="container-fluid">
          <a style="color:aliceblue" class="navbar-brand" href="#">Employee Management</a>
          <div class="d-flex" id="navbarSupportedContent">
          </div>
        </div>
    </nav>

    <nav ngbNav #nav="ngbNav" class="nav-tabs mt-5">
      <ng-container ngbNavItem (active)="add">
        <a ngbNavLink (click)="storeData('add')">Add</a>
        <ng-template ngbNavContent>
          <form [formGroup]="empDetails">
            <div class="mb-3">
              <label for="name" class="form-label">Name</label>
              <input type="text" formControlName="name" class="form-control" id="name" aria-describedby="emailHelp">
            </div>
            <div class="mb-3">
                <label for="designation" class="form-label">Designation</label>
                <input type="designation" formControlName="designation" class="form-control" id="designation" aria-describedby="emailHelp">
            </div>
            <div class="mb-3">
                <label for="salary" class="form-label">Salary</label>
                <input type="text" formControlName="salary" class="form-control" id="salary" aria-describedby="emailHelp" NumberOnly>
            </div>
            
            <div class="mb-3">
                <label for="bio" class="form-label">Short Bio</label>
                <input type="text" formControlName="bio" class="form-control" id="bio" aria-describedby="emailHelp">
            </div>
            
            <div class="mb-3">
                <label for="dob" class="form-label">DOB</label>
                <input type="text" formControlName="dob" class="form-control" id="dob" aria-describedby="emailHelp">
            </div>
                <button type="button" class="btn btn-primary" (click)="addEmployee()">Add Employee</button>
          </form>
        </ng-template>
      </ng-container>
      <ng-container ngbNavItem (active)="add">
        <a ngbNavLink (click)="storeData('edit')">Edit</a>
        <ng-template ngbNavContent>
          <div>
            <table class="table table-striped mt-5">
                <thead>
                  <tr>
                    <th scope="col">Id</th>
                    <th scope="col">Name</th>
                    <th scope="col">Designation</th>
                    <th scope="col">Salary</th>
                    <th scope="col">Bio</th>
                    <th scope="col">DOB</th>
                    <th scope="col">Action</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let row of employeeData">
                    <th scope="row">{{row.id}}</th>
                    <td>{{row.name}}</td>
                    <td>{{row.designation}}</td>
                    <td>{{row.salary}}</td>
                    <td>{{row.bio | truncate}}</td>
                    <td>{{row.dob}}</td>
                    <td>
                        <button class="btn btn-info" (click)="onEdit(row)" type="submit" data-bs-toggle="modal" data-bs-target="#addEmployee">Edit</button>
                        <button class="btn btn-danger mx-3" (click)="deleteEmployee(row)">Delete</button>
                    </td>
                  </tr>
                </tbody>
              </table>
          </div>
        </ng-template>
      </ng-container>
      <ng-container ngbNavItem (active)="add">
        <a ngbNavLink (click)="storeData('view')">View</a>
        <ng-template ngbNavContent>
          <div>
            <table class="table table-striped mt-5">
                <thead>
                  <tr>
                    <th scope="col">Id</th>
                    <th scope="col">Name</th>
                    <th scope="col">Designation</th>
                    <th scope="col">Salary</th>
                    <th scope="col">Bio</th>
                    <th scope="col">DOB</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let row of employeeData">
                    <th scope="row">{{row.id}}</th>
                    <td>{{row.name}}</td>
                    <td>{{row.designation}}</td>
                    <td>{{row.salary}}</td>
                    <td>{{row.bio | truncate }}</td>
                    <td>{{row.dob}}</td>
                  </tr>
                </tbody>
              </table>
          </div>
        </ng-template>
      </ng-container>
    </nav>
    <div [ngbNavOutlet]="nav" class="mt-2"></div>

    <!-- Add Employee Modal -->
    <div class="modal fade" id="addEmployee" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add new employee</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form [formGroup]="empDetails">
                        <div class="mb-3">
                          <label for="name" class="form-label">Name</label>
                          <input type="text" formControlName="name" class="form-control" id="name" aria-describedby="emailHelp">
                        </div>
                        <div class="mb-3">
                            <label for="designation" class="form-label">Designation</label>
                            <input type="designation" formControlName="designation" class="form-control" id="designation" aria-describedby="emailHelp">
                        </div>
                        <div class="mb-3">
                            <label for="salary" class="form-label">Salary</label>
                            <input type="text" formControlName="salary" class="form-control" id="salary" aria-describedby="emailHelp">
                        </div>
                        
                        <div class="mb-3">
                            <label for="bio" class="form-label">Short Bio</label>
                            <input type="text" formControlName="bio" class="form-control" id="bio" aria-describedby="emailHelp">
                        </div>
                        
                        <div class="mb-3">
                            <label for="dob" class="form-label">DOB</label>
                            <input type="text" formControlName="dob" class="form-control" id="dob" aria-describedby="emailHelp">
                        </div>
                        
                        <div class="modal-footer">
                            <button type="button" id="cancel" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <button type="button" *ngIf="showAdd" class="btn btn-primary" (click)="addEmployee()">Add Employee</button>
                            <button type="button" *ngIf="showUpdate" class="btn btn-primary" (click)="updateEmployee()">Update Employee</button>
                        </div>
                      </form>
                </div>
            </div>
        </div>
    </div>
</div>
